use strict;
use Test::More 0.98 tests => 1;

use Captcha::reCAPTCHA::V3;
my $rc = Captcha::reCAPTCHA::V3->new( secret => 'Dummy', sitekey => 'Dummy' );

my $content = $rc->verify('03AFcWeA6Vdzqg8XnbV2Sw_ycO0oXEh7ne65F6bjlHiOAMNPb_1Jrb0cjSvqYnwCdMtz3LQZS3pu_xASs4fUTp2fqeAJQ1r3mjx1Nk0aVMcp3eoOHFr9tg4yi5raREKBsDIddf2U5JTKqKOuDEyUv2x4-b0LnHtgJU68ib2kiri_BJgAz0lVn99obqDRV2JtVVvbyw3R4XTw4FqnxrSI_lc3GzcbqEIK0FDl4HZ9JdU1C6dqXuvaJramYtxoHHwhv9AfFR7xn_uYMQfLV_BqFR1x2Zpex4KQTJUMYoI7mQPtgGw9K-93UFtjmN29i6HVuXkqRI5Vu4YXJzKFq0zk7th-PFhSZxtTI4pV-dU42dKfotef7HkAS4fC77IHyDhSrEgGG7MzMzLF2-o4O-eAX7mjahhLaTDtUPnaegHnboN94VrcO4LK5tRLykQ-iHkDZJgT4qE4jzQu1zro7l9HK7cbTwJZBU7xmS05MhoUA6zRG1NGUJiKyY20uqAJfVWmYTCjWaRGgZTptZ6iEH5r_RvUwXPwZxUH_HrPQHixwzOBcrLLd3rODSYevmm7sL1Wwn-Ivsn52FdhD4kvOg_CfH6OwmzMtJe8l9SsVjPYKMpfAoLER46_r3j6-Nr3ELugEyqZ8HXN8F8JjpWLlaPfJqD-r9XvIVr08uR5u8jwf3l7o-00X1pGwGURxSJVHXD5hvrvTLcolF4-F7g3NjFmV4kSQp7qrsqxBCmjglopfNpgZXhP9vf_-DTwNUscB6rbEBNvSOFXLWS1h--YKEjBY2-ZKbwE1y0dpoDEaemqlT345-8_JsefyLWj9ZZ9-u4mn_sQGupw7NXZ-BmYNlt4mMyuy7cdbq2Rrqkj3paT7E8b-zb4ZJaMigRBnOKiWZ7ycg9d3t90yY0AFuFMr4Z0n8yYKzyKGyiJTkaA2oTBRlgpaqJzkzSOUI8N6n0twF47OLrCjfDX0iXmtRJPqRXKGCSKdMiDZMzValh18h5bkF1xN5atRXGcbosrgHIQe4IM9NJXZcaCQTr4JlPr9m3Dv61fvm2deuDFTE1Tkh8yjJY_d0iZt_dm2J0FC0QuEWJdzIN3T1ClrV-n5k2di6b5fkaEzadSVRHMwlmUoamP8Wk_uwgWetEYMxbeEH6jbpWdMo6dbiZUuOoJyfVpmH0-1FlyR_gDLVVcHumkrsEROi5ohsJK1locZ1ZpAS6dlRfw7lP12_a9hMXDPD4TDjquaqVntTY6GP1y4s8Zn61UhffKDFZR5lyEY470gwLVqbQS9VTXMSN4tOZPrBL-3TOqbxlVcTAh7yq39-uvFjTCoxgfLyxodl7sIPpsWPNtUTSa04KcnK5NdnFG32i9PQhxynMmKbFT0UWqNRqeAbARtWVTtI6e9hTP-wPw68U2PMUyAntVFAMS_S56WHTfvnadLhB5rJfdvjS1vJtVaiLhsPK-D2FqsnP80xosdCKQHapN7yVjVwWd6mz0RAXFgBz2Fr3yJUPfP1nty73W2T0e6gwsWvb-eHfmLXEqmbAVF7-RK707oOO9GrEre6hkpZxfeImcbvRxXp19CbvspTBMnS8NjV8R-c7d6rOU30V4Cxoej5G_GxaiE0ybLcltTfEbZm9OEaLuzQR-Ddesm7gRETNOFO8BzyU1ltANEZUZ483P1bYOaKrXEFiY4gy2ZwEfw47f35mhY2w-XDyO5T6RSLsdOibO0Kdf7Y803yENcD-bDTmIgQhpfpmSi1Gl2lrv7DR_jmSc5Gp2mbXdN4OqmBjykqgMbXlPoe1MjaPUR8Km5bROYUPccORYvoCRnd17UrrSVMkBlODx2WbPY6YEpIKG1QfDZclYv7bETzafJYStceXXGuJz555e0zzc3XOdT73BNwrlQNbMnCKGRXPkzhTQQGqFI4OagvxlRp0-HhUe1LIwDakAPQxvL4tEfvlRUIYSCGOj8-mIGhymkzpuSNshU3EWvVx1SQexg');
is $content->{'error-codes'}[0], 'invalid-input-response', "succeed to catch 'invalid-input-secret'";

=ToDo

# These require culculated response value in javascript
# And to verify strictly, we have to set correct secret and sitekey

my $response;
$content = $rc->deny_by_score( response => $response, score => 0 );
$content = $rc->verify_or_die($response);

=cut

done_testing;
